From: Agathe Porte <debian@microjoe.org>
Date: Thu, 19 Aug 2021 14:43:31 +0200
Subject: examples: use python3 instead of python

Forwarded: not-needed
---
 examples/__init__.py           |  2 +-
 examples/__main__.py           | 12 ++----------
 examples/auto_diff.py          |  2 +-
 examples/callback.py           |  2 +-
 examples/dynamic_ncpus.py      |  2 +-
 examples/quicksort.py          |  2 +-
 examples/reverse_md5.py        |  2 +-
 examples/sum_primes.py         |  2 +-
 examples/sum_primes_functor.py |  2 +-
 9 files changed, 10 insertions(+), 18 deletions(-)

diff --git a/examples/__init__.py b/examples/__init__.py
index 203d4e7..86c7a01 100644
--- a/examples/__init__.py
+++ b/examples/__init__.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 #
 # Author: Mike McKerns (mmckerns @caltech and @uqfoundation)
 # Copyright (c) 2018-2022 The Uncertainty Quantification Foundation.
diff --git a/examples/__main__.py b/examples/__main__.py
index 5529885..8801b46 100644
--- a/examples/__main__.py
+++ b/examples/__main__.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 #
 # Author: Mike McKerns (mmckerns @caltech and @uqfoundation)
 # Copyright (c) 2018-2022 The Uncertainty Quantification Foundation.
@@ -8,15 +8,7 @@
 from __future__ import print_function
 import glob
 import os
-try:
-    import pox
-    python = pox.which_python(fullpath=False)
-    if not python:
-        python = 'python'
-    elif not pox.which(python):
-        python = pox.which_python(fullpath=False, version=True)
-except ImportError:
-    python = 'python'
+python = 'python3'
 import subprocess as sp
 from sys import platform
 shell = platform[:3] == 'win'
diff --git a/examples/auto_diff.py b/examples/auto_diff.py
index 61aff53..fa5286c 100755
--- a/examples/auto_diff.py
+++ b/examples/auto_diff.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: auto_diff.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates parallel computations with pp module
diff --git a/examples/callback.py b/examples/callback.py
index 68277b5..1404944 100755
--- a/examples/callback.py
+++ b/examples/callback.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: callback.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates parallel computations with pp module
diff --git a/examples/dynamic_ncpus.py b/examples/dynamic_ncpus.py
index b9b9dd9..99523b1 100755
--- a/examples/dynamic_ncpus.py
+++ b/examples/dynamic_ncpus.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: dynamic_ncpus.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates parallel computations with pp module
diff --git a/examples/quicksort.py b/examples/quicksort.py
index 7a8c55d..b349e77 100755
--- a/examples/quicksort.py
+++ b/examples/quicksort.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: sum_primes.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates parallel version of quicksort algorithm
diff --git a/examples/reverse_md5.py b/examples/reverse_md5.py
index 9346eb7..6903293 100755
--- a/examples/reverse_md5.py
+++ b/examples/reverse_md5.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: reverse_md5.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates parallel computations with pp module
diff --git a/examples/sum_primes.py b/examples/sum_primes.py
index ca64c0c..c78ef69 100755
--- a/examples/sum_primes.py
+++ b/examples/sum_primes.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: sum_primes.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates parallel computations with pp module
diff --git a/examples/sum_primes_functor.py b/examples/sum_primes_functor.py
index cef4f37..e8cf7fb 100755
--- a/examples/sum_primes_functor.py
+++ b/examples/sum_primes_functor.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # File: sum_primes_template.py
 # Author: Vitalii Vanovschi
 # Desc: This program demonstrates using pp template class
